> ## Documentation Index
> Fetch the complete documentation index at: https://docs.transmit.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get v1emails 1

> Retrieve detailed information about a specific email including events



## OpenAPI

````yaml https://api.transmit.dev/openapi.json get /v1/emails/{id}
openapi: 3.1.0
info:
  title: Transmit.dev API
  description: >-
    A powerful email API for transactional and marketing emails. Send emails
    with tracking, analytics, and webhook support.
  version: 1.0.3
servers:
  - url: https://api.transmit.dev
    description: Production server
security:
  - bearerAuth: []
tags:
  - name: Emails
    description: Email sending and management operations
  - name: SMS
    description: SMS sending and management operations with toll-free numbers
  - name: Analytics
    description: Performance analytics and metrics
  - name: Billing
    description: Credit balance and usage information
  - name: Contacts
    description: Contact management operations
  - name: Webhooks
    description: Webhook configuration and testing
paths:
  /v1/emails/{id}:
    get:
      tags:
        - Emails
      description: Retrieve detailed information about a specific email including events
      operationId: get
      parameters:
        - schema:
            type: string
          in: path
          name: id
          required: true
      responses:
        '200':
          description: Email details retrieved successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                    description: Email ID
                  from:
                    type: string
                    minLength: 1
                    description: >-
                      Sender address. Supports optional display name (e.g.
                      'Sender Name <sender@example.com>').
                  to:
                    type: array
                    items:
                      type: string
                      format: email
                      pattern: >-
                        ^(?!\.)(?!.*\.\.)([A-Za-z0-9_'+\-\.]*)[A-Za-z0-9_+-]@([A-Za-z0-9][A-Za-z0-9\-]*\.)+[A-Za-z]{2,}$
                    description: Recipient email addresses
                  subject:
                    type: string
                    description: Email subject
                  html:
                    description: HTML content
                    type: string
                  text:
                    description: Plain text content
                    type: string
                  status:
                    type: string
                    description: Email status
                  created_at:
                    type: string
                    format: date-time
                    pattern: >-
                      ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
                    description: Creation timestamp
                  sent_at:
                    anyOf:
                      - type: string
                        format: date-time
                        pattern: >-
                          ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
                      - type: 'null'
                    description: Sent timestamp
                  delivered_at:
                    anyOf:
                      - type: string
                        format: date-time
                        pattern: >-
                          ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
                      - type: 'null'
                    description: Delivery timestamp
                  opened_at:
                    anyOf:
                      - type: string
                        format: date-time
                        pattern: >-
                          ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
                      - type: 'null'
                    description: First open timestamp
                  clicked_at:
                    anyOf:
                      - type: string
                        format: date-time
                        pattern: >-
                          ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
                      - type: 'null'
                    description: First click timestamp
                  open_count:
                    type: number
                    description: Total open count
                  click_count:
                    type: number
                    description: Total click count
                  events:
                    type: array
                    items:
                      type: object
                      properties:
                        type:
                          type: string
                          description: Event type
                        created_at:
                          type: string
                          format: date-time
                          pattern: >-
                            ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
                          description: Event timestamp
                        data:
                          type: object
                          properties:
                            user_agent:
                              type: string
                            ip_address:
                              type: string
                            location:
                              type: string
                            link:
                              type: string
                          description: Event data
                      required:
                        - type
                        - created_at
                        - data
                    description: Email events
                required:
                  - id
                  - from
                  - to
                  - subject
                  - status
                  - created_at
                  - sent_at
                  - delivered_at
                  - opened_at
                  - clicked_at
                  - open_count
                  - click_count
                  - events
        '401':
          description: Authentication required
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: string
                    description: Error code
                  message:
                    type: string
                    description: Error message
                  statusCode:
                    type: number
                    description: HTTP status code
                  details:
                    description: Additional error details
                required:
                  - code
                  - message
                  - statusCode
        '404':
          description: Email not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: string
                    description: Error code
                  message:
                    type: string
                    description: Error message
                  statusCode:
                    type: number
                    description: HTTP status code
                  details:
                    description: Additional error details
                required:
                  - code
                  - message
                  - statusCode
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: >-
        Enter your API key with 'tx_' prefix. Get your API key from the
        dashboard.

````